Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingCreateIS

Creates a mapping between a local (0 to n) ordering and a global parallel ordering.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingCreateIS(IS is, ISLocalToGlobalMapping *mapping)

Not Collective

## Input Parameter

- is - index set containing the global numbers for each local number

## Output Parameter

- mapping - new mapping data structure

## Note

the block size of the `IS` determines the block size of the mapping

## See Also

Low-level Vector Communication, `ISLocalToGlobalMapping`, `ISLocalToGlobalMappingDestroy()`, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingSetFromOptions()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages